
package com.tmerclub.cloud.distribution.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 精简版分销员数据
 *
 * @author cl
 * @date 2021-08-16 15:42:26
 */
public class DistributionUserSimpleInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分销员id")
    private Long distributionUserId;

    @Schema(description = "分销员昵称")
    private String nickName;

    @Schema(description = "真实姓名")
    private String realName;

    @Schema(description = "头像")
    private String pic;

    @Schema(description = "绑定时间")
    @JsonFormat(pattern = "yyyy/MM/dd")
    private Date bindTime;

    public Long getDistributionUserId() {
        return distributionUserId;
    }

    public void setDistributionUserId(Long distributionUserId) {
        this.distributionUserId = distributionUserId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    @Override
    public String toString() {
        return "DistributionUserSimpleInfoVO{" +
                "distributionUserId=" + distributionUserId +
                ", nickName='" + nickName + '\'' +
                ", realName='" + realName + '\'' +
                ", pic='" + pic + '\'' +
                ", bindTime=" + bindTime +
                '}';
    }
}
